<?php
/**
 * Display Troubleshooting tab.
 *
 * @package miniorange-2-factor-authentication/views
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

	echo '<div class="mo_wpns_divided_layout">
	        <div class="mo_wpns_setting_layout">
        <h3>
        	Frequenty Asked Questions
        	<div style="float: right;">
                <a class="button button-primary button-large" href="' . esc_url( $two_fa ) . '">Back</a> 
            </div>
        </h3><br><hr>
			<table class="mo_wpns_help">
						<tbody><tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_curl_title" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">How to enable PHP cURL extension? (Pre-requisite)</div>
								</div>
								<span hidden="" id="mo_wpns_help_curl_desc" class="mo_wpns_help_desc" style="display: none;">
								<ol>
								<li>Open php.ini file located under the PHP installation folder.</li>
								<li>Search for extension=curl.dll.</li>
								<li>Uncomment it by removing the semi-colon(;) in front of it.
								Restart the Apache Server.</li></ol>
								For any further queries, please <a href="mailto:mfasupport@xecurify.com" target="blank">contact us</a>. 
								</span>
							</td>
						</tr><tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_issue_in_scanning_QR" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">I am facing issue in scanning QR code, what is the reason behind the error?</div>
								</div>
								<span hidden="" id="mo_wpns_issue_in_scanning_QR_solution" class="mo_wpns_help_desc" style="display: none;">
									<ol><li>Make sure that the bar-code you are scanning and the bar-code scanning app that you are using is suitable.</li>
									<li>If you are configuring the Google Authenticator method, you will need the Google Authenticator App.</li>
									<li>If you are configuring miniOrange authentication methods that are Push Notifications, Qr Code Authentication, or Soft Token you will need the miniOrange app and accordingly.</li><ul>					
								</span>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_particular_use_role" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">I want to enable 2-factor for particular user roles in WordPress, how do I do that?</div>
								</div>
								<div hidden="" id="mo_wpns_help_particular_use_role_solution" class="mo_wpns_help_desc" style="display: none;">
								We are providing 2-factor authentication for 3 admin users in the free version if you want to add it for more user roles, please upgrade to the paid version.</br> You can check our pricing from here: <a href="' . esc_url( MoWpnsConstants::MO2F_PLUGINS_PAGE_URL ) . '"/2-factor-authentication-for-wordpress">https://plugins.miniorange.com/2-factor-authentication-for-wordpress</a>.</br>
								OR </br>If you have paid version of the plugin, your solution is right here: <a href="https://docs.miniorange.com/documentation/enable-two-factor-based-roles" target="blank">click here</a>.</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_enforce_MFA" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">I want to Enforce my users to configure the Two-factor authentication method how I do that?</div>
								</div>
								<div hidden="" id="mo_wpns_help_enforce_MFA_solution" class="mo_wpns_help_desc" style="display: none;">
								   This feature is supported in paid plugin. Please checkout out pricing from here: <a href="' . esc_url( MoWpnsConstants::MO2F_PLUGINS_PAGE_URL ) . '"/2-factor-authentication-for-wordpress" target="blank">https://plugins.miniorange.com/2-factor-authentication-for-wordpress</a>
								   </br>OR</br>If you have paid version of the plugin, your solution is right here: <a href="https://docs.miniorange.com/documentation/enforce-2fa-users" target="blank">click here</a>.
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_reset_MFA" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">I want to reset Two Factor for my users, how I do that?</div>
								</div>
								<div hidden="" id="mo_wpns_help_reset_MFA_solution" class="mo_wpns_help_desc" style="display: none;">
								   <ol><li>Go to the WordPress <b>Users</b> tab.</li>
								   <li>Hover over the Username of which you want to reset two-factor. You will see �Reset 2 Factor� option, Click on that.</li>
								   <li>Now, whenever your user logs in again to their account user will able to reconfigure Two Factor.</li>
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_get_back_to_account" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">How do I gain access to my website if I get locked out?</div>
								</div>
								<div hidden="" id="mo_wpns_help_get_back_to_account_solution" class="mo_wpns_help_desc" style="display: none;">
									We provides many alternet solutions to get back to account, <a href="https://faq.miniorange.com/knowledgebase/how-to-gain-access-to-my-website-if-i-get-locked-out/" tager="blank">click here</a>. 
									</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_multisite" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">Does the miniOrange 2FA plugin support multi-site support?</div>
								</div>
								<div hidden="" id="mo_wpns_help_multisite_solution" class="mo_wpns_help_desc" style="display: none;">
									The miniOrange Two-factor free plugin does not provide Multisite support. Please upgrade to the premium plan for the multi-site support.

							
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_forgot_password" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">I forgot the password of my miniOrange account. How can I reset it?</div>
								</div>
								<div hidden="" id="mo_wpns_help_forgot_password_solution" class="mo_wpns_help_desc" style="display: none;">
									To reset the password of your miniOrange account, please <a href="' . esc_url( MO_HOST_NAME ) . '/moas/idp/resetpassword" target="blank">click here</a> and reset your password using the email address registered with miniOrange.

								
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_MFA_propmted" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">My Users are not being prompted for 2-factor during login. Why?</div>
								</div>
								<div hidden="" id="mo_wpns_help_MFA_propmted_solution" class="mo_wpns_help_desc" style="display: none;">
									The miniOrange Two-Factor free plugin provides the 2-factor  for three users (Administrator) forever. To enable 2FA for more users, please upgrade to the Premium plan. for more details <a href="https://faq.miniorange.com/knowledgebase/users-are-not-prompted-for-2-factor-during-login/" target="blank">click here</a>.

								</div>
							</td>
						</tr><tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_redirect_back" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">When I enter my authentication code and click on Validate, I got redirected back to the login page, Why is this happening?</div>
								</div>
								<div hidden="" id="mo_wpns_help_redirect_back_solution" class="mo_wpns_help_desc" style="display: none;">
									It might be the case that the plugin is not able to write the PHP session info (into the /var/lib/php/sessions directory ) because of permission issues, and hence it is failing at the authentication step.                   Please update to the latest plugin version (5.0.0) which has the bug fix for this.								
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_alternet_login" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">I had setup QR Code Authentication/Push Notification as my 2-factor method. My phone has no internet connectivity, how can I login?</div>
								</div>
								<div hidden="" id="mo_wpns_help_alternet_login_solution" class="mo_wpns_help_desc" style="display: none;">
									You can login using our alternate login method. Please <a href="https://faq.miniorange.com/knowledgebase/login-issue-for-two-factor/" target="blank">Click here</a>.						
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_lost_ability" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">My phone is lost, stolen or discharged. How can I login?</div>
								</div>
								<div hidden="" id="mo_wpns_help_lost_ability_solution" class="mo_wpns_help_desc" style="display: none;">
									To login and reconfigure authentication method <a href="" target="blank">click here</a>.
													
								</div>
							</td>
						</tr>
						<tr>
							<td class="mo_wpns_help_cell">
								<div id="mo_wpns_help_translate" class="mo_wpns_title_panel">
									<div class="mo_wpns_help_title">How do I translate the plugin in a language of my choice?</div>
								</div>
								<div hidden="" id="mo_wpns_help_translate_solution" class="mo_wpns_help_desc" style="display: none;">
								Please follow the below steps:
								<ol><li>Download & open POEDIT software.</li>
								<li>Click on Create New Translation.</li>
								<li>In the plugin, you have a lang folder. You can find the .pot file in it. Import the file.</li>
								<li>It will ask you for the translation language. Select it as Germany.</li>
								<li>In the top navigation bar, Click on Update <i class="fa fa-fw fa-arrow-right"></i> Save.
								Do the translations and Save them.</li>
								<li>Select the WordPress site language as the same you selected in the software. ( Germany )</li></ol>
													
								</div>
							</td>
						</tr>
					</tbody></table>
					<h4>If you have any other queries, Contact us at <a href="mailto:mfasupport@xecurify.com" target="blank">2fasupport@xecurify.com</a></h4>
		    </div>
		</div>';
